/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.accessibilityservice;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class MagnificationConfig implements android.os.Parcelable {

private MagnificationConfig() { throw new RuntimeException("Stub!"); }

public int getMode() { throw new RuntimeException("Stub!"); }

public float getScale() { throw new RuntimeException("Stub!"); }

public float getCenterX() { throw new RuntimeException("Stub!"); }

public float getCenterY() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.accessibilityservice.MagnificationConfig> CREATOR;
static { CREATOR = null; }

public static final int MAGNIFICATION_MODE_DEFAULT = 0; // 0x0

public static final int MAGNIFICATION_MODE_FULLSCREEN = 1; // 0x1

public static final int MAGNIFICATION_MODE_WINDOW = 2; // 0x2
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.accessibilityservice.MagnificationConfig.Builder setMode(int mode) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.accessibilityservice.MagnificationConfig.Builder setScale(float scale) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.accessibilityservice.MagnificationConfig.Builder setCenterX(float centerX) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.accessibilityservice.MagnificationConfig.Builder setCenterY(float centerY) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.accessibilityservice.MagnificationConfig build() { throw new RuntimeException("Stub!"); }
}

}

