/*
 * Copyright 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.hardware;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class DataSpace {

private DataSpace() { throw new RuntimeException("Stub!"); }

public static int pack(int standard, int transfer, int range) { throw new RuntimeException("Stub!"); }

public static int getStandard(int dataSpace) { throw new RuntimeException("Stub!"); }

public static int getTransfer(int dataSpace) { throw new RuntimeException("Stub!"); }

public static int getRange(int dataSpace) { throw new RuntimeException("Stub!"); }

public static final int DATASPACE_ADOBE_RGB = 151715840; // 0x90b0000

public static final int DATASPACE_BT2020 = 147193856; // 0x8c60000

public static final int DATASPACE_BT2020_PQ = 163971072; // 0x9c60000

public static final int DATASPACE_BT601_525 = 281280512; // 0x10c40000

public static final int DATASPACE_BT601_625 = 281149440; // 0x10c20000

public static final int DATASPACE_BT709 = 281083904; // 0x10c10000

public static final int DATASPACE_DCI_P3 = 155844608; // 0x94a0000

public static final int DATASPACE_DISPLAY_P3 = 143261696; // 0x88a0000

public static final int DATASPACE_JFIF = 146931712; // 0x8c20000

public static final int DATASPACE_SCRGB = 411107328; // 0x18810000

public static final int DATASPACE_SCRGB_LINEAR = 406913024; // 0x18410000

public static final int DATASPACE_SRGB = 142671872; // 0x8810000

public static final int DATASPACE_SRGB_LINEAR = 138477568; // 0x8410000

public static final int DATASPACE_UNKNOWN = 0; // 0x0

public static final int RANGE_EXTENDED = 402653184; // 0x18000000

public static final int RANGE_FULL = 134217728; // 0x8000000

public static final int RANGE_LIMITED = 268435456; // 0x10000000

public static final int RANGE_UNSPECIFIED = 0; // 0x0

public static final int STANDARD_ADOBE_RGB = 720896; // 0xb0000

public static final int STANDARD_BT2020 = 393216; // 0x60000

public static final int STANDARD_BT2020_CONSTANT_LUMINANCE = 458752; // 0x70000

public static final int STANDARD_BT470M = 524288; // 0x80000

public static final int STANDARD_BT601_525 = 262144; // 0x40000

public static final int STANDARD_BT601_525_UNADJUSTED = 327680; // 0x50000

public static final int STANDARD_BT601_625 = 131072; // 0x20000

public static final int STANDARD_BT601_625_UNADJUSTED = 196608; // 0x30000

public static final int STANDARD_BT709 = 65536; // 0x10000

public static final int STANDARD_DCI_P3 = 655360; // 0xa0000

public static final int STANDARD_FILM = 589824; // 0x90000

public static final int STANDARD_UNSPECIFIED = 0; // 0x0

public static final int TRANSFER_GAMMA2_2 = 16777216; // 0x1000000

public static final int TRANSFER_GAMMA2_6 = 20971520; // 0x1400000

public static final int TRANSFER_GAMMA2_8 = 25165824; // 0x1800000

public static final int TRANSFER_HLG = 33554432; // 0x2000000

public static final int TRANSFER_LINEAR = 4194304; // 0x400000

public static final int TRANSFER_SMPTE_170M = 12582912; // 0xc00000

public static final int TRANSFER_SRGB = 8388608; // 0x800000

public static final int TRANSFER_ST2084 = 29360128; // 0x1c00000

public static final int TRANSFER_UNSPECIFIED = 0; // 0x0
}

