/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */


package android.location;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class GnssMeasurementsEvent implements android.os.Parcelable {

private GnssMeasurementsEvent() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssClock getClock() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.Collection<android.location.GnssMeasurement> getMeasurements() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.Collection<android.location.GnssAutomaticGainControl> getGnssAutomaticGainControls() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.location.GnssMeasurementsEvent> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.location.GnssMeasurementsEvent event) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssMeasurementsEvent.Builder setClock(@android.annotation.NonNull android.location.GnssClock clock) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssMeasurementsEvent.Builder setMeasurements(@android.annotation.NonNull java.util.Collection<android.location.GnssMeasurement> measurements) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssMeasurementsEvent.Builder setGnssAutomaticGainControls(@android.annotation.NonNull java.util.Collection<android.location.GnssAutomaticGainControl> agcs) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.location.GnssMeasurementsEvent build() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class Callback {

public Callback() { throw new RuntimeException("Stub!"); }

public void onGnssMeasurementsReceived(android.location.GnssMeasurementsEvent eventArgs) { throw new RuntimeException("Stub!"); }

@Deprecated
public void onStatusChanged(int status) { throw new RuntimeException("Stub!"); }

@Deprecated public static final int STATUS_LOCATION_DISABLED = 2; // 0x2

@Deprecated public static final int STATUS_NOT_ALLOWED = 3; // 0x3

@Deprecated public static final int STATUS_NOT_SUPPORTED = 0; // 0x0

@Deprecated public static final int STATUS_READY = 1; // 0x1
}

}

