/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.location;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class Location implements android.os.Parcelable {

public Location(@android.annotation.Nullable java.lang.String provider) { throw new RuntimeException("Stub!"); }

public Location(@android.annotation.NonNull android.location.Location location) { throw new RuntimeException("Stub!"); }

public void set(@android.annotation.NonNull android.location.Location location) { throw new RuntimeException("Stub!"); }

public void reset() { throw new RuntimeException("Stub!"); }

public float distanceTo(@android.annotation.NonNull android.location.Location dest) { throw new RuntimeException("Stub!"); }

public float bearingTo(@android.annotation.NonNull android.location.Location dest) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getProvider() { throw new RuntimeException("Stub!"); }

public void setProvider(@android.annotation.Nullable java.lang.String provider) { throw new RuntimeException("Stub!"); }

public long getTime() { throw new RuntimeException("Stub!"); }

public void setTime(long timeMs) { throw new RuntimeException("Stub!"); }

public long getElapsedRealtimeNanos() { throw new RuntimeException("Stub!"); }

public long getElapsedRealtimeMillis() { throw new RuntimeException("Stub!"); }

public long getElapsedRealtimeAgeMillis() { throw new RuntimeException("Stub!"); }

public long getElapsedRealtimeAgeMillis(long referenceRealtimeMs) { throw new RuntimeException("Stub!"); }

public void setElapsedRealtimeNanos(long elapsedRealtimeNs) { throw new RuntimeException("Stub!"); }

public double getElapsedRealtimeUncertaintyNanos() { throw new RuntimeException("Stub!"); }

public void setElapsedRealtimeUncertaintyNanos(double elapsedRealtimeUncertaintyNs) { throw new RuntimeException("Stub!"); }

public boolean hasElapsedRealtimeUncertaintyNanos() { throw new RuntimeException("Stub!"); }

public void removeElapsedRealtimeUncertaintyNanos() { throw new RuntimeException("Stub!"); }

public double getLatitude() { throw new RuntimeException("Stub!"); }

public void setLatitude(double latitudeDegrees) { throw new RuntimeException("Stub!"); }

public double getLongitude() { throw new RuntimeException("Stub!"); }

public void setLongitude(double longitudeDegrees) { throw new RuntimeException("Stub!"); }

public float getAccuracy() { throw new RuntimeException("Stub!"); }

public void setAccuracy(float horizontalAccuracyMeters) { throw new RuntimeException("Stub!"); }

public boolean hasAccuracy() { throw new RuntimeException("Stub!"); }

public void removeAccuracy() { throw new RuntimeException("Stub!"); }

public double getAltitude() { throw new RuntimeException("Stub!"); }

public void setAltitude(double altitudeMeters) { throw new RuntimeException("Stub!"); }

public boolean hasAltitude() { throw new RuntimeException("Stub!"); }

public void removeAltitude() { throw new RuntimeException("Stub!"); }

public float getVerticalAccuracyMeters() { throw new RuntimeException("Stub!"); }

public void setVerticalAccuracyMeters(float altitudeAccuracyMeters) { throw new RuntimeException("Stub!"); }

public boolean hasVerticalAccuracy() { throw new RuntimeException("Stub!"); }

public void removeVerticalAccuracy() { throw new RuntimeException("Stub!"); }

public float getSpeed() { throw new RuntimeException("Stub!"); }

public void setSpeed(float speedMetersPerSecond) { throw new RuntimeException("Stub!"); }

public boolean hasSpeed() { throw new RuntimeException("Stub!"); }

public void removeSpeed() { throw new RuntimeException("Stub!"); }

public float getSpeedAccuracyMetersPerSecond() { throw new RuntimeException("Stub!"); }

public void setSpeedAccuracyMetersPerSecond(float speedAccuracyMeterPerSecond) { throw new RuntimeException("Stub!"); }

public boolean hasSpeedAccuracy() { throw new RuntimeException("Stub!"); }

public void removeSpeedAccuracy() { throw new RuntimeException("Stub!"); }

public float getBearing() { throw new RuntimeException("Stub!"); }

public void setBearing(float bearingDegrees) { throw new RuntimeException("Stub!"); }

public boolean hasBearing() { throw new RuntimeException("Stub!"); }

public void removeBearing() { throw new RuntimeException("Stub!"); }

public float getBearingAccuracyDegrees() { throw new RuntimeException("Stub!"); }

public void setBearingAccuracyDegrees(float bearingAccuracyDegrees) { throw new RuntimeException("Stub!"); }

public boolean hasBearingAccuracy() { throw new RuntimeException("Stub!"); }

public void removeBearingAccuracy() { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean isFromMockProvider() { throw new RuntimeException("Stub!"); }

public boolean isMock() { throw new RuntimeException("Stub!"); }

public void setMock(boolean mock) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

public void setExtras(@android.annotation.Nullable android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public boolean isComplete() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@Deprecated
public void dump(@android.annotation.NonNull android.util.Printer pw, @android.annotation.Nullable java.lang.String prefix) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static java.lang.String convert(double coordinate, int outputType) { throw new RuntimeException("Stub!"); }

public static double convert(@android.annotation.NonNull java.lang.String coordinate) { throw new RuntimeException("Stub!"); }

public static void distanceBetween(double startLatitude, double startLongitude, double endLatitude, double endLongitude, float[] results) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.location.Location> CREATOR;
static { CREATOR = null; }

public static final int FORMAT_DEGREES = 0; // 0x0

public static final int FORMAT_MINUTES = 1; // 0x1

public static final int FORMAT_SECONDS = 2; // 0x2
}

