/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.tv;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class AdRequest implements android.os.Parcelable {

public AdRequest(int id, int requestType, @android.annotation.Nullable android.os.ParcelFileDescriptor fileDescriptor, long startTime, long stopTime, long echoInterval, @android.annotation.Nullable java.lang.String mediaFileType, @android.annotation.NonNull android.os.Bundle metadata) { throw new RuntimeException("Stub!"); }

public int getId() { throw new RuntimeException("Stub!"); }

public int getRequestType() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.ParcelFileDescriptor getFileDescriptor() { throw new RuntimeException("Stub!"); }

public long getStartTimeMillis() { throw new RuntimeException("Stub!"); }

public long getStopTimeMillis() { throw new RuntimeException("Stub!"); }

public long getEchoIntervalMillis() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getMediaFileType() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getMetadata() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.tv.AdRequest> CREATOR;
static { CREATOR = null; }

public static final int REQUEST_TYPE_START = 1; // 0x1

public static final int REQUEST_TYPE_STOP = 2; // 0x2
}

