/*
 * Copyright 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.security.identity;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class CredentialDataRequest {

CredentialDataRequest() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.Map<java.lang.String,java.util.Collection<java.lang.String>> getDeviceSignedEntriesToRequest() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.Map<java.lang.String,java.util.Collection<java.lang.String>> getIssuerSignedEntriesToRequest() { throw new RuntimeException("Stub!"); }

public boolean isAllowUsingExhaustedKeys() { throw new RuntimeException("Stub!"); }

public boolean isAllowUsingExpiredKeys() { throw new RuntimeException("Stub!"); }

public boolean isIncrementUseCount() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public byte[] getRequestMessage() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public byte[] getReaderSignature() { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.security.identity.CredentialDataRequest.Builder setDeviceSignedEntriesToRequest(@android.annotation.NonNull java.util.Map<java.lang.String,java.util.Collection<java.lang.String>> entriesToRequest) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.security.identity.CredentialDataRequest.Builder setIssuerSignedEntriesToRequest(@android.annotation.NonNull java.util.Map<java.lang.String,java.util.Collection<java.lang.String>> entriesToRequest) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.security.identity.CredentialDataRequest.Builder setAllowUsingExhaustedKeys(boolean allowUsingExhaustedKeys) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.security.identity.CredentialDataRequest.Builder setAllowUsingExpiredKeys(boolean allowUsingExpiredKeys) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.security.identity.CredentialDataRequest.Builder setIncrementUseCount(boolean incrementUseCount) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.security.identity.CredentialDataRequest.Builder setRequestMessage(@android.annotation.NonNull byte[] requestMessage) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.security.identity.CredentialDataRequest.Builder setReaderSignature(@android.annotation.NonNull byte[] readerSignature) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.security.identity.CredentialDataRequest build() { throw new RuntimeException("Stub!"); }
}

}

